<?php

namespace App\Enums;

use App\Traits\ProvidesEnumOptions;

enum PayrollStatus: string
{
    use ProvidesEnumOptions;

    case UNPAID = 'unpaid';
    case PAID = 'paid';

    public function label(): string
    {
        return match ($this) {
            self::UNPAID => 'Belum Dibayar',
            self::PAID => 'Sudah Dibayar',
        };
    }
}
